Bug 11343 - maps FormWidget->isReadOnly() to PopplerFormField.read_only.
Summary: maps FormWidget->isReadOnly() to PopplerFormField.read_only.
Status: RESOLVED FIXED
Alias: None
Product: poppler
Classification: Unclassified
Component: glib frontend (show other bugs)
Version: unspecified
Hardware: Other All
: medium enhancement
Assignee: poppler-bugs
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-22 21:52 UTC by Kouhei Sutou
Modified: 2007-07-02 06:43 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
maps FormWidget->isReadOnly() to PopplerFormFiled.read_only. (1.12 KB, patch)
2007-06-22 21:53 UTC, Kouhei Sutou
Details | Splinter Review
maps FormWidget->isReadOnly() to popler_form_field_is_read_only(). (2.24 KB, patch)
2007-07-02 04:11 UTC, Kouhei Sutou
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kouhei Sutou 2007-06-22 21:52:54 UTC
There is no mapping from FormWidget->isReadOnly() to PopplerFormField.

We will need read only information to render form fields.
Comment 1 Kouhei Sutou 2007-06-22 21:53:31 UTC
Created attachment 10408 [details] [review]
maps FormWidget->isReadOnly() to PopplerFormFiled.read_only.
Comment 2 Carlos Garcia Campos 2007-07-01 02:06:05 UTC
This bug is not valid for current code. Closing as INVALID.

Thank you very much for the patch. 
Comment 3 Kouhei Sutou 2007-07-02 04:11:13 UTC
There is still no FormWidget->isReadOnly() mapping.
Comment 4 Kouhei Sutou 2007-07-02 04:11:53 UTC
Created attachment 10554 [details] [review]
maps FormWidget->isReadOnly() to popler_form_field_is_read_only().
Comment 5 Carlos Garcia Campos 2007-07-02 06:43:39 UTC
Yes, sorry, I thought I had added this, but it was really is_editable. I've just applied your patch. Thank you very much. 


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.